type OpenAPIParseErrorCode = 'invalid' | 'parse-v2-in-v3' | 'v2-conversion' | 'dereference' | 'yaml-parse';
/**
 * Error thrown when the OpenAPI document is invalid.
 */
export declare class OpenAPIParseError extends Error {
    name: string;
    code: OpenAPIParseErrorCode;
    rootURL: string | null;
    constructor(message: string, options: {
        code: OpenAPIParseErrorCode;
        rootURL?: string | null;
        cause?: Error;
    });
}
export {};
