import { load } from '@scalar/openapi-parser';
import { fetchURLs } from './scalar-plugins/fetchURLs';
/**
 * Create a filesystem from an OpenAPI document.
 * Fetches all the URLs specified in references and builds a filesystem.
 */
export async function createFileSystem(input) {
    const { value, rootURL, options } = input;
    const { filesystem } = await load(value, {
        plugins: [fetchURLs({ rootURL }), ...(options?.plugins || [])],
    });
    return filesystem;
}
