import type { AnyApiDefinitionFormat, LoadPlugin } from '@scalar/openapi-parser';
export interface ParseOpenAPIInput {
    /**
     * The API definition to parse.
     */
    value: AnyApiDefinitionFormat;
    /**
     * The root URL of the specified OpenAPI document.
     */
    rootURL: string | null;
    /**
     * Trust the input. This will skip advanced validation.
     */
    trust?: boolean;
    /**
     * Options for the parser.
     */
    options?: {
        plugins?: LoadPlugin[];
    };
}
/**
 * Parse a raw string into an OpenAPI document.
 * It will also convert Swagger 2.0 to OpenAPI 3.0.
 * It can throw an `OpenAPIParseError` if the document is invalid.
 */
export declare function parseOpenAPI(input: ParseOpenAPIInput): Promise<import("./types").Filesystem<import("./types").OpenAPIV3xDocument>>;
